%ul.breadcrumb.repo-breadcrumb
  %li
    = link_to project_tree_path(@project, @ref) do
      = @project.path
  - tree_breadcrumbs(tree, 6) do |title, path|
    %li
      - if path
        = link_to truncate(title, length: 40), project_tree_path(@project, path)
      - else
        = link_to title, '#'
  - if current_user && can_push_branch?(@project, @ref)
    %li
      = link_to project_new_tree_path(@project, @id), title: t("projects_section.tree.new_file"), id: 'new-file-link' do
        %small
          %i.icon-plus

%div#tree-content-holder.tree-content-holder
  %table#tree-slider{class: "table_#{@hex_path} tree-table" }
    %thead
      %tr
        %th 
          = t("projects_section.tree.name")
        %th
          = t("projects_section.tree.last_update")
        %th.hidden-xs
          .pull-left
            = t("projects_section.tree.last_commit")
          .last-commit.hidden-sm.pull-left
            &nbsp;
            %i.icon-angle-right
            &nbsp;
            %small.light
              = link_to @commit.short_id, project_commit_path(@project, @commit)
              &ndash;
              = truncate(@commit.title, length: 50)
          = link_to t("projects_section.tree.history"), project_commits_path(@project, @id), class: "pull-right"

    - if @path.present?
      %tr.tree-item
        %td.tree-item-file-name
          = link_to "..", project_tree_path(@project, up_dir_path(tree)), class: 'prepend-left-10'
        %td
        %td.hidden-xs

    = render_tree(tree)

  - if tree.readme
    = render "projects/tree/readme", readme: tree.readme

%div.tree_progress

:javascript
  // Load last commit log for each file in tree
  $('#tree-slider').waitForImages(function() {
    ajaxGet('#{@logs_path}');
  });
